package org.studiorailgun.conversation.command;

import org.studiorailgun.conversation.AgentLoop;
import org.studiorailgun.conversation.llm.LLMLoop;
import org.studiorailgun.knowledge.CSVExport;

/**
 * Parses player commands to execute
 */
public class CommandParser {
    
    /**
     * Parses the input for commands. If a valid command is recognized, returns true. Otherwise returns false.
     * @param input The input string
     * @return true if a command was executed, false otherwise
     */
    public static boolean parseCommands(String input){
        if(input.equals("exit")){
            LLMLoop.running = false;
            AgentLoop.running = false;
        } else if(input.equals("s hypo")){ //save a response failing to consider a hypothetical

        } else if(input.equals("s q")){ //save a question

        } else if(input.equals("s format")){ //save a formatting error

        } else if(input.equals("export")){
            CSVExport.export("current");
        }
        return false;
    }

}
